/* SETUP FOR NAVBARS */

.header-fixed {
    position: fixed;
    top: 0;
    z-index: 1;
    width: 100%;
    background-color: var(--c-school-dark);
}
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--c-school-lite);
    line-height: 60px;
    /* width: 100%; */
}
.navbar .logo {
    flex: auto;
    color: var(--c-school-lite);
    background: var(--c-school-dark);
}
/* links in navbar */
.navbar .logo a {
    display: block;
    font-size: 2em;
    font-weight: bold;
    text-decoration: none;
    text-align: left;
    color: var(--c-school-lite);
    padding-left: 1em;
}
.navbar .logo:hover {
    background-color: var(--c-school-lite);
    color: var(--c-school-dark);
}
.navbar .logo:hover a {
    color: var(--c-school-dark);
}
.navbar nav {flex: 10;}

/* DROPDOWNS */
.dropdown {
    float: center;
    text-align: center;
    display: block;
}
.dropdown .dropbtn {            /* Dropdown button */
    border: none;
    outline: none;
    background-color: inherit;
    margin: auto;
    font-family: inherit; /* Important for vertical align on mobile phones */
    display: block;
}
.dropdown-content {         /* Dropdown content (hidden by default) */
    display: none;
    position: relative;
    background-color: inherit;
    min-width: 160px;
    width: inherit;
    z-index: 1;
    text-align: center;
}

/* Links inside the dropdown */
.dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    background-color: var(--c-school-dark);
}

/* Add a grey background color to dropdown links on hover */
.dropdown-content a:hover {
    background-color: var(--c-school-lite);
    color: var(--c-school-dark);
    justify-content: space-between;
}
.dropdown:hover .dropdown-content { /* Show the dropdown menu on hover */
    display: block;
    position: absolute;
}
.dropdown:hover .dropdown-content a { /*style links*/
    color: var(--c-school-lite);
}
.dropdown:hover .dropdown-content a:hover {
    color: var(--c-school-dark);
}

.navbar label {
    user-select: none;
    cursor: pointer;
    padding: 28px 20px;
    position: relative;
    z-index: 3;
}
.navbar label i {
    height: 2px;
    position: relative;
    transition: background .2s ease-out;
    width: 18px;
    font-style: normal;
    font-weight: normal;
}
.navbar label i:before, .navbar label i:after {
    content: '';
    height: 100%;
    position: relative;
    transition: all .2s ease-out;
    width: 100%;
}
.navbar label i, .navbar label i:before, .navbar label i:after {
    display: block;
    background: var(--c-school-lite);
}
.navbar label i:before {top: 5px;}
.navbar label i:after {top: -5px;}

.navbar #navbar-toggle {display: none;}
.header #navbar-toggle:checked ~ .menu {
    visibility: visible;
    opacity: 0.99;
}
.header #navbar-toggle:checked ~ label {
    background: #212121;
    border-radius: 50%;
}
.header #navbar-toggle:checked ~ label i {
    background: transparent;
}
.header #navbar-toggle:checked ~ label i:before {
    transform: rotate(-45deg);
}
.header #navbar-toggle:checked ~ label i:after {
    transform: rotate(45deg);
}
.header #navbar-toggle:checked ~ label:not(.steps) i:before,
.header #navbar-toggle:checked ~ label:not(.steps) i:after {
    top: 0;
}

/* styling for navbar menu when collapsed */
@media (max-width: 768px) {
    .navbar nav {
        visibility: hidden;
        opacity: 0;
        z-index: 2;
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        transition: all 0.3s ease-out;
        display: table;
        background: var(--c-school-dark);
    }
    .navbar nav ul {
        margin: 0;
        padding: 20px 0;
        display: table-cell;
        vertical-align: middle;
    }
    .navbar nav li {
        display: block;
        text-align: center;
        padding: 20px 0;
        text-align: center;
        font-size: 50px;
        min-height: 50px;
        font-weight: bold;
        cursor: pointer;
        transition: all 0.3s ease-out;
    }
    .navbar nav li:hover {background: var(--c-school-lite);}
    /* .navbar nav li:hover a { */
    /*     transition: all 0.3s ease-out; */
    /* } */
    .navbar nav li a {color: var(--c-school-lite);}
}

/* styleing for navbar when not collapsed */
@media (min-width: 768px) {
    .navbar nav ul {
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: space-around;
        text-align: center;
        list-style: none;
    }
    .navbar nav li {flex: 1;}
    .navbar nav li a {
        display: block;
        padding: 0 8px;
        font-size: 16px;
        line-height: 60px;
        color: var(--c-school-lite);
        text-decoration: none;
    }
    .navbar nav li.active {background: #555;}
    .navbar nav li:hover {
        background-color: var(--c-school-lite);
        /* color: var(--c-school-dark); */
    }
    .navbar nav li:hover a {
        /* background-color: var(--c-school-lite); */
        color: var(--c-school-dark);
    }
    .navbar label {display: none;}
}
